/*

  Mcufriend TFT LCD 2.4" Touchscreen

  Parts required:
  - Arduino Board
  - Mcufriend TFT LCD 2.4" Touchscreen

  Libraries required:
  - MCUFRIEND_kbv
  - Adafruit GFX
  - Adafruit TouchScreen

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 07 Sep 2019
  Version : v1.0

*/

#include <MCUFRIEND_kbv.h>
MCUFRIEND_kbv tft;

// Initialize all variables
int delayTimer = 3000;

void setup() {
  tft.begin(0x9481);                                                        // Initialize screen

  tft.fillScreen(1100);                                                     // Set screen color to Arduinotech.dk's color
  tft.setRotation(1);                                                       // Set screen rotation to normal
  tft.setTextColor(0xFFFF);                                                 // Set text color to white
  tft.setTextSize(3);                                                       // Set text size to 3
  tft.setCursor(40, 60);                                                    // Set cursor position to X,Y
  tft.println("ARDUINOTECH.DK");                                            // Print text


  for (int i = 0; i <= 2; i++) {                                            // For i = 0 to 2 Do
    tft.drawLine(160 + i, 100, 160 + i, 170, 0xFFFF);                       // Draw a line
    tft.drawLine(90, 134 + i, 230, 134 + i, 0xFFFF);                        // Draw a line
  }

  for (int i = 20; i <= 28; i++) {                                          // For i = 20 to 28 Do
    tft.drawCircle(135, 134, i, 0xFFFF);                                    // Draw a circle
    tft.drawCircle(185, 134, i, 0xFFFF);                                    // Draw a circle
  }
}

void loop() {
  // Nothing Here....
}
